#メイクファイル(68030用)

ARC	= JPEG.A
INC	= A:\LIB

# コンパイラー設定
CC=GCC
CFLAGS=-c -O -Wall -fomit-frame-pointer -fstrength-reduce -fforce-addr -fforce-mem -m68020 -m68881

# リンカー設定
# LK=GCCではなぜかライブラリが見つからないエラーが出るので駄目
LK=HLK
LFLAGS=$(INC)\floatfnc.a $(INC)\iocslib.a $(INC)\clib.a $(INC)\gnulib.a e:\sub\gaig.a e:\sub\extend.a a:\lib\libcondrv.a e:\sub\aigtxgph.a

# アーカイバーの設定
AR=OAR

# $< ターゲットより後で更新された依存ファイル
# $@ 処理中のターゲット名
# $* 拡張子を除いたターゲット名
# $^ 依存ファイル群(X68 make)
# $** 依存ファイル全て（それ以外?）

# Ｘファイル規則
JPG.X: JPG.O $(ARC)
	$(LK)  JPG.O $(ARC) $(LFLAGS)

# ライブラリアーカイブの規則
# 多いので複数に分離
$(ARC)::	dct2.o dct2b.o idct2.o \
	HuffDCtbl.o HuffACtbl.o MKHuffAC.o MKHuffDC.o MKiHuff.o rmkHuff.o \
	qtable.o RGB2YUV0.o RGB2YUV.o YUV2RGB.o YUV2RGB0.o YUV2RGBx.o
	$(AR) $(ARC) $^
$(ARC)::	HuffDC.o HuffAC.o CmpiHuff.o iHuffDC.o iHuffAC.o \
	iHuff2HuffDC.o iHuff2HuffAC.o \
	BitIn.o BitOut.o Press.o Expand.o
	$(AR) $(ARC) $^
$(ARC)::	jfile.o  ReadHeader.o setQtable.o GetRGB.o PressParam.o
	$(AR) $(ARC) $^

# .cファイル コンパイル規則
%.O::	%.c jpeg.h _jpeglib.h
	$(CC) $(CFLAGS) $<
#.cから.oが作られる；サフィックスルール
#.c.oも使えそうだが、依存が書けないのでだめ。

#以下、ファイル共用でオブジェクトが異なるもの
dct2b.O::	dct2.c jpeg.h _jpeglib.h
	$(CC) $(CFLAGS) -DTATEBAI -o$@ $<

MkHuffAC.O::	MkHuff.c jpeg.h _jpeglib.h
	$(CC) $(CFLAGS)      -o$@ $<

MkHuffDC.O::	MkHuff.c jpeg.h _jpeglib.h
	$(CC) $(CFLAGS) -DDC -o$@ $<

YUV2RGBx.O::	YUV2RGB.c jpeg.h _jpeglib.h
	$(CC) $(CFLAGS) -DNOMCU -o$@ $<
